Bug 1098154 - qpid-cpp-client should provide a virtual package on which other packages can depend
Summary: qpid-cpp-client should provide a virtual package on which other packages can ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qpid-cpp
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Darryl L. Pierce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1080583 1099481
TreeView+ depends on / blocked
 
Reported: 2014-05-15 12:14 UTC by Darryl L. Pierce
Modified: 2015-06-22 00:08 UTC (History)
5 users (show)

Fixed In Version: qpid-cpp-0.26-9.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-12 06:29:25 UTC


Attachments (Terms of Use)

Description Darryl L. Pierce 2014-05-15 12:14:11 UTC
In packaging the 0.24 Qpid release as compat-qpid-cpp there has come up an incompatibility when installing qpid-qmf: qpid-qmf depends on qpid-cpp-client and compat-qpid-cpp-client cannot meet that requirement so long as qpid-cpp-client exists.

The solution is to have qpid-cpp-client and compat-qpid-cpp-client provide a virtual package, qpid-cpp-client-libs, and update qpid-qmf to require that virtual package instead of the specifically named one.

Similar fixes should be done as well for any other qpid-cpp package.

Comment 1 Fedora Update System 2014-05-20 13:47:26 UTC
qpid-cpp-0.24-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qpid-cpp-0.24-8.fc19

Comment 2 Fedora Update System 2014-05-20 14:47:18 UTC
qpid-cpp-0.24-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qpid-cpp-0.24-9.fc19

Comment 3 Fedora Update System 2014-05-21 23:23:59 UTC
Package qpid-cpp-0.24-9.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qpid-cpp-0.24-9.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-6558/qpid-cpp-0.24-9.fc19
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-05-28 17:58:38 UTC
qpid-cpp-0.26-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qpid-cpp-0.26-8.fc19

Comment 5 Fedora Update System 2014-06-03 15:32:48 UTC
qpid-cpp-0.26-9.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qpid-cpp-0.26-9.fc19

Comment 6 Fedora Update System 2014-06-12 06:29:25 UTC
qpid-cpp-0.26-9.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.